# boost_concept_check.h File Reference

`#include <cstddef>`
`#include <bits/stl_iterator_base_types.h>`
`#include <utility>`

Include dependency graph for boost_concept_check.h:

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file boost_concept_check.h.